Search Results for

Show / Hide Table of Contents

# Class Thickness

Describes the thickness of a frame around a rectangle. Four System.Int32 values describe the Left, Top, Right, and Bottom sides of the rectangle, respectively.

##### Inheritance

System.Object
Thickness

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class Thickness : ValueType

### Constructors

#### Thickness(Int32)

Initializes a new instance of the Thickness structure that has the specified uniform length on each side.

##### Declaration

    public Thickness(int length)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | length |

#### Thickness(Int32, Int32, Int32, Int32)

Initializes a new instance of the Thickness structure that has specific lengths (supplied as a System.Int32) applied to each side of the rectangle.

##### Declaration

    public Thickness(int left, int top, int right, int bottom)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | left |
System.Int32 | top |
System.Int32 | right |
System.Int32 | bottom |

### Fields

#### Bottom

Gets or sets the width, in integers, of the lower side of the bounding rectangle.

##### Declaration

    public int Bottom

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### Left

Gets or sets the width, in integers, of the left side of the bounding rectangle.

##### Declaration

    public int Left

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### Right

Gets or sets the width, in integers, of the right side of the bounding rectangle.

##### Declaration

    public int Right

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### Top

Gets or sets the width, in integers, of the upper side of the bounding rectangle.

##### Declaration

    public int Top

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Methods

#### ToString()

Returns the fully qualified type name of this instance.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | The fully qualified type name.